<template>
    <div class="terminal page-container">
        <div class="terminal__title">
            Terminal
        </div>
        <div class="terminal__content">
            <b-input-group
                prepend="php artisan"
                class="mt-3"
            >
                <b-form-input v-model="input" />
                <b-input-group-append>
                    <b-button
                        variant="primary"
                        class="btn-primary"
                        :class="{'loading-xs': loading}"
                        @click="submit"
                    >
                        <template v-if="!loading">
                            Submit
                        </template>
                    </b-button>
                </b-input-group-append>
            </b-input-group>
        </div>
        <div class="terminal__response">
            {{ text }}
        </div>
    </div>
</template>

<script>
import {ajaxPost} from '@/helpers/ajax.js'
export default {
    data() {
        return {
            text: '',
            input: '',
            loading: false,
        }
    },
    methods: {
        async submit() {
            this.text = ''
            this.loading = true
            const data = await ajaxPost('/admin/artisan', { command: this.input })
            this.text = data || ''
            this.loading = false
        }
    },
}
</script>


<style scoped lang="scss">
@import "resources/css/colors";
@import '~pretty-checkbox/src/scss/variables';
@import '~pretty-checkbox/src/scss/core';
@import '~pretty-checkbox/src/scss/states/indeterminate';
.page-container {
    padding: 40px 50px;
    @media(max-width: 768px) {
        padding-top: 80px;
    }
}
.btn-primary {
    width: 80px;
    display: flex;
    align-items: center;
    justify-content: center;
}
.loading-xs:after {
    margin-top: 0;
}
.terminal {
    &__title {
        font-size: 28px;
        color: $blue-color;
        margin-bottom: 15px;
    }
    &__response {
        font-size: 16px;
        font-weight: 400;
        margin-top: 20px;
    }
}

</style>